Package org.firebirdsql.gds.ng.jna

## Class JnaParameterConverter

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractParameterConverter<JnaDatabaseConnection,​JnaServiceConnection>
  - - org.firebirdsql.gds.ng.jna.JnaParameterConverter

- All Implemented Interfaces:
    `ParameterConverter<JnaDatabaseConnection,​JnaServiceConnection>`

      public class JnaParameterConverter
      extends AbstractParameterConverter<JnaDatabaseConnection,​JnaServiceConnection>

  Implementation of `ParameterConverter` for JNA.
  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JnaParameterConverter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `populateAuthenticationProperties​(AbstractConnection<?,​?> connection, ConnectionParameterBuffer pb)` | Populates the authentication properties of the parameter buffer.

    - ### Methods inherited from class org.firebirdsql.gds.ng.AbstractParameterConverter

      `createDatabaseParameterBuffer, createServiceParameterBuffer, populateDefaultProperties, populateDefaultProperties, toDatabaseParameterBuffer, toServiceParameterBuffer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JnaParameterConverter

          public JnaParameterConverter()

  - ### Method Detail

    - #### populateAuthenticationProperties

          protected void populateAuthenticationProperties​(AbstractConnection<?,​?> connection,
                                                          ConnectionParameterBuffer pb)
                                                   throws java.sql.SQLException

      Description copied from class: `AbstractParameterConverter`
      Populates the authentication properties of the parameter buffer.
      Specified by:
        `populateAuthenticationProperties` in class `AbstractParameterConverter<JnaDatabaseConnection,​JnaServiceConnection>`
      Parameters:
        `connection` - Database connection
        `pb` - Parameter buffer to populate
      Throws:
        `java.sql.SQLException` - For errors generating authentication information